package leigh.elements;

import leigh.conflux.DataFrame;
import leigh.mecha.nodegraph.ProcessorState;

import java.util.HashMap;
import java.util.UUID;

/**
 * Implementation of {@link ProcessorState} which is peculiar to Elements.
 *
 * @author Alex Leigh
 */
public class ElementsProcessorState extends ProcessorState {
    private final HashMap<UUID, DataFrame> frames;


    public ElementsProcessorState(HashMap<UUID, DataFrame> frames) {
        this.frames = frames;
    }

    public HashMap<UUID, DataFrame> getFrames() {
        return frames;
    }

}
